dotlink
=======

[![Generated by attribution][attribution-badge]][attribution-url]


v2.0
----

Major release

- Total rewrite, using Python 3.8 syntax features
- Changed config format to `dest [= src]`
- Changed config filename to `.dotlink` or `dotlink`
- Use click for CLI arg parsing
- Use modern Python features and metadata
- Support for `--plan` or `--dry-run`
- Dropped `--rsync` option in favor of new ssh+tar stream

```text
$ git shortlog -s v2.0b1...v2.0
     3	Amethyst Reese
```


v2.0b1
------

Beta release

- Total rewrite
- Changed config format to `dest [= src]`
- Changed config filename to `.dotlink` or `dotlink`
- Use click for CLI arg parsing
- Use modern Python features and metadata
- Support for `--plan` or `--dry-run`

```text
$ git shortlog -s v1.0.post0...v2.0b1
    11	Amethyst Reese
     2	dependabot[bot]
```


v1.0.post0
----------

Fixed readme

```text
$ git shortlog -s v1.0...v1.0.post0
     2	Amethyst Reese
```


v1.0
----

Modern release

- Built with flit with modern metadata, scripts, entrypoints
- Formatted and linted with black, µsort, µfmt, and flake8
- Changelog
- Github actions

```text
$ git shortlog -s v0.6.0...v1.0
    14	Amethyst Reese
```


v0.6.0
------

Feature release:

feature: added support for deploying with rsync instead of scp
feature: --rsync flag enables use of rsync for remote deployments

```text
$ git shortlog -s v0.5.0...v0.6.0
     1	Amethyst Reese
```


v0.5.0
------

Feature release:

- feature: added support for remote sources via git repositories
- feature: added --git to force using a remote git source
- change: reorganized readme to put todo after advanced usage

```text
$ git shortlog -s v0.4.3...v0.5.0
     4	Amethyst Reese
```


v0.4.3
------

Bug fix release

- bugfix: relative import paths are now correctly followed from the path of
  the mapping file rather than the current working directory.

```text
$ git shortlog -s v0.4.2...v0.4.3
     1	Amethyst Reese
```


v0.4.2
------

Minor version bump

- change: Added manifest for building pypi packages to include README and LICENSE

```text
$ git shortlog -s v0.4.1...v0.4.2
     5	Amethyst Reese
```


v0.4.1
------

Bug fix release

- feature: added -V argument to output dotlink version and exit
- bugfix: preserve dotfile mapping order to allow dependent dotfiles to install correctly

```text
$ git shortlog -s v0.4.0...v0.4.1
     5	Amethyst Reese
```


v0.4.0
------

- feature: include external dotfile mappings via `#include "filename"`
- bugfix: implied dotfile target name wasn't implemented
- text: readme cleanups
- text: clarify that "Dotlink" is now officially "dotlink"

```text
$ git shortlog -s v0.3.1...v0.4.0
     4	Amethyst Reese
```


v0.3.1
------

Bug fix release

```text
$ git shortlog -s v0.3.0...v0.3.1
     4	Amethyst Reese
```


v0.3.0
------

Source path is now a positional argument.

```text
$ git shortlog -s v0.2.0...v0.3.0
     2	Amethyst Reese
```


v0.2.0
------

No longer depends on YAML for parsing the dotfile mapping.

```text
$ git shortlog -s v0.2.0
    17	Amethyst Reese
```

[attribution-badge]:
    https://img.shields.io/badge/generated%20by-attribution-informational
[attribution-url]: https://attribution.omnilib.dev
